version: '3'

services:

    mongodb:
        image: mongo
        #ports:
        #    - 27017:27017
        volumes:
            - data-mongodb:/data/db

    app:
        build: .
        command: gunicorn -b 0.0.0.0:8000 run:app --timeout=3600 --graceful-timeout=3600 --workers=2 --threads=2
        ports:
            - 6501:8000
        environment:
            - MONGO_HOST=mongodb
        #volumes:
        #    - ./application:/opt/application
        depends_on:
            - mongodb


volumes:
    data-mongodb:
